package de.theserverside.designpatterns.singleton;

/**
 * Klassische Implementierung des Singleton-Patterns
 */
public class ClassicSingleton {
	private static ClassicSingleton instance = null;

	/**
	 * Default-Konstruktor, der nicht auerhalb dieser Klasse
	 * aufgerufen werden kann
	 */
	private ClassicSingleton() {}

	/**
	 * Statische Methode, liefert die einzige Instanz dieser
	 * Klasse zurck
	 */
	public static ClassicSingleton getInstance() {
		if (instance == null) {
			instance = new ClassicSingleton();
		}
		return instance;
	}
}