package de.theserverside.designpatterns.singleton;

/**
 * Performante und thread-safe Implementierung des Singleton-Patterns
 */
public class Singleton {
	private static Singleton instance = new Singleton();

	/**
	 * Default-Konstruktor, der nicht auerhalb dieser Klasse
	 * aufgerufen werden kann
	 */
	private Singleton() {}

	/**
	 * Statische Methode, liefert die einzige Instanz dieser
	 * Klasse zurck
	 */
	public static Singleton getInstance() {
		return instance;
	}
}