package de.theserverside.designpatterns.singleton;

/**
 * Implementierung des Singleton-Patterns mit synchronisiertem
 * Methodenzugriff
 */
public class SynchronizedSingleton {
	private static SynchronizedSingleton instance = null;

	/**
	 * Default-Konstruktor, der nicht auerhalb dieser Klasse
	 * aufgerufen werden kann
	 */
	private SynchronizedSingleton() {}

	/**
	 * Statische Methode, liefert die einzige Instanz dieser
	 * Klasse zurck
	 */
	public static synchronized SynchronizedSingleton getInstance() {
		if (instance == null) {
			instance = new SynchronizedSingleton();
		}
		return instance;
	}
}